# Leap Year kata cheat sheet

```
// create solution directory
md LeapYearKata
cd LeapYearKata

// chcek dotnet version
dotnet --version

// create solution
dotnet new sln

// create folders for project and for tests
md LeapYearKata
md LeapYearKata.Tests

// create project as library
cd LeapYearKata
dotnet new classlib

// add project to the solution
cd ..
dotnet sln add .\LeapYearKata\LeapYearKata.csproj

// install NUnit template
cd ..\LeapYearKata.Tests\
dotnet new -i NUnit3.DotNetNew.Template

// create NUnit project
dotnet new --help
dotnet new nunit

// add reference to the SUT
dotnet add reference ..\LeapYearKata\LeapYearKata.csproj

// add test project into the solution
cd ..
dotnet sln add .\LeapYearKata.Tests\LeapYearKata.Tests.csproj

// build and test
dotnet build
dotnet test
```
